OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
ScriptConfigItem Struct Reference

Info about a single Script setting. More...

`#include <script_config.hpp>`

## Data Fields
const char * | name
| The name of the configuration setting.
const char * | description
| The description of the configuration setting.
int | min_value
| The minimal value this configuration setting can have.
int | max_value
| The maximal value this configuration setting can have.
int | custom_value
| The default value on custom difficulty setting.
int | easy_value
| The default value on easy difficulty setting.
int | medium_value
| The default value on medium difficulty setting.
int | hard_value
| The default value on hard difficulty setting.
int | random_deviation
| The maximum random deviation from the default value.
int | step_size
| The step size in the gui.
ScriptConfigFlags | flags
| Flags for the configuration setting.
LabelMapping * | labels
| Text labels for the integer values.
bool | complete_labels
| True if all values have a label.

## Detailed Description

Info about a single Script setting.

Definition at line 34 of file script_config.hpp.

The documentation for this struct was generated from the following file:

- src/script/script_config.hpp